<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
</html>

<script>
    // var arr_1 = [1, 2, 3];
    // var arr_2 = [4, 5, 6];
    // var arr_3 = arr_1.concat(arr_2);
    // console.log(arr_3);

    // var numbers = [1, 2, 3];
    // var result = ["Car", ...numbers, "Motobike"];
    // console.log(result);


    // var obj_1 = {name: "ECMAScript"};
    // var clone_obj = {...obj_1};
    // console.log(clone_obj);

    // var obj_2 = {year: 2015};
    // var clone_obj_2 = {...obj_1, ...obj_2};
    // console.log(clone_obj_2);


    function myFn(param_1, param_2, param_3) {}
    var args = [1, 2, 3];
    myFn(...args);

    function myFn2(param_1, param_2, param_3, param_4, param_5) {}
    var args2 = [2, 3, 4];
    myFn2(1, ...args, 5);
</script>